summaryrefslogtreecommitdiffstats
path: root/target/device/Atmel/atstk1002/target_skeleton/etc/init.d/S03bootsplash
diff options
context:
space:
mode:
Diffstat (limited to 'target/device/Atmel/atstk1002/target_skeleton/etc/init.d/S03bootsplash')
-rwxr-xr-xtarget/device/Atmel/atstk1002/target_skeleton/etc/init.d/S03bootsplash15
1 files changed, 7 insertions, 8 deletions
diff --git a/target/device/Atmel/atstk1002/target_skeleton/etc/init.d/S03bootsplash b/target/device/Atmel/atstk1002/target_skeleton/etc/init.d/S03bootsplash
index 260a5913b..21a3a5758 100755
--- a/target/device/Atmel/atstk1002/target_skeleton/etc/init.d/S03bootsplash
+++ b/target/device/Atmel/atstk1002/target_skeleton/etc/init.d/S03bootsplash
@@ -5,22 +5,21 @@ FBSET=/usr/sbin/fbset
FBMODEFILE="/etc/fb.modes"
SPLASHFILE="/etc/stk1000bootsplash.jpg"
-echo -n "Bootsplash image:"
+echo -n "Bootsplash image: "
if [ ! -x "${FBV}" -o ! -x "${FBSET}" -o \
! -f "${SPLASHFILE}" -o ! -f "${FBMODEFILE}" ]; then
- echo " missing"
+ echo "missing"
exit 1
fi
-if ! ${FBSET} 320x240-68 > /dev/null 2> /dev/null; then
- echo " failed"
+if ! ${FBSET} 320x240-68; then
+ echo "failed"
exit 1
fi
-${FBV} ${SPLASHFILE} < /dev/null > /dev/null 2> /dev/null &
+${FBV} ${SPLASHFILE} > /dev/null &
if [ $? -eq 0 ]; then
- echo " loaded"
- kill `pidof ${FBV}` > /dev/null 2> /dev/null
+ echo "loaded"
else
- echo " failed"
+ echo "failed"
fi